import numpy as np
from mayavi import mlab

x, y, z = np.mgrid[0:3:0.5, 0:3:0.5, 0:3:0.5]
u = x * x
v = y
w = z

src = mlab.pipeline.vector_field(u, v, w)
mlab.pipeline.vector_cut_plane(src)

mlab.show()
